routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
/*/
Auth::routes();
Route::any("/payment-result",'Api\V1\PaymentController@paymentResult');
Route::redirect("/",'login');
Route::get('/testP',function (){
   return view("test");
});
Route::group(['middleware'=>['auth','Admin'],'prefix'=>"admin",'namespace'=>"Panel"],function (){




    //advertising

    Route::get('advertising-list/individual', 'AdvertisingController@index')->name('advertising.index');
    Route::get('advertising-list/companies', 'AdvertisingController@index')->name('advertising.indexCompanies');
    Route::get('advertising/create', 'AdvertisingController@createForm')->name('advertising.createForm');
    Route::post('advertising/create', 'AdvertisingController@create')->name('advertising.create');
    Route::get('advertising/{id}', 'AdvertisingController@getDetails')->name('advertising.details');
    Route::get('advertising/view/{id}', 'AdvertisingController@view')->name('advertising.view');
    Route::delete('advertising/delete/{advertising}', 'AdvertisingController@destroy')->name('advertising.destroy');
    Route::post('advertising/accept/{id}', 'AdvertisingController@accept')->name('advertising.accept');
    Route::post('advertising/update', 'AdvertisingController@update')->name('advertising.update');


    //packages
    Route::get('packages', 'PackagesController@index')->name('packages.index');
    Route::get('packages/company', 'PackagesController@index')->name('packages.company.index');
    Route::get('packages/individual', 'PackagesController@index')->name('packages.individual.index');

    Route::get('staticPackages', 'StaticPackagesController@index')->name('staticPackages.index');
    Route::get('staticPackages/company', 'StaticPackagesController@index')->name('staticPackages.company.index');
    Route::get('staticPackages/individual', 'StaticPackagesController@index')->name('staticPackages.individual.index');


    Route::resource('staticPackages', 'StaticPackagesController', ['except' => 'show']);
    Route::resource('packages', 'PackagesController', ['except' => 'show']);





    //payments

    Route::get('payments', 'PaymentsController@index')->name('payments.index');
    Route::get('payments/{id}', 'PaymentsController@showDetail')->name('payments.showDetail');
    Route::get('payments/user/{id}', 'PaymentsController@userPayment')->name('payments.userPayment');
    Route::post('paymentHistory/accept/{id}', 'PaymentsController@acceptPayment')->name('paymentHistory.accept');

    Route::get('balanceHistory/user/{id}', 'MembersController@balanceHistory')->name('members.balanceHistory');



    //comments
    Route::get('comments', 'CommentsController@index')->name('comments.index');
    Route::get('comments/{id}', 'CommentsController@commentAdvertising')->name('comments.advertising');
    Route::delete('comments/delete/{country}', 'CommentsController@comments')->name('comments.destroy');


    //notifications
    Route::get('notifications', 'NotificationController@index')->name('notifications.index');
    Route::get('notifications/updateSettings', 'NotificationController@settings')->name('notifications.settings');
    Route::get('notifications/create', 'NotificationController@createForm')->name('notifications.create');
    Route::post('notifications/dispatch', 'NotificationController@create')->name('notifications.dispatch');
    Route::post('notifications/updateSettings', 'NotificationController@updateSettings')->name('notifications.updateSettings');
    Route::delete('notifications/delete/{country}', 'NotificationController@delete')->name('notifications.destroy');

    //reports
    Route::get('reports', 'ReportsController@index')->name('reports.index');


    Route::get('profile', 'ProfileController@getProfile')->name('getProfile');
    Route::get('/changeLocale/{locale}', 'DashboardController@changeLocale')->name('changeLocale');

    Route::get("dashboard","DashboardController@dashboard")->name("dashboard");
    Route::get("/dashboard/charts", "DashboardController@charts")->name("charts");
    Route::get("/changeLocale/{locale}", "DashboardController@changeLocale")->name("changeLocale");
    Route::get('/dashboardInfo','DashboardController@getDashboardInfo')->name('dashboardInfo');


    //users
    Route::resource('administrators', 'AdministratorController', ['except' => 'show']);
    Route::resource('members', 'MembersController');
    Route::post("members-verify","MembersController@setVerify")->name("members.setVerify");
    Route::get("members-verify/{id}","MembersController@verify")->name("members.verify");

    Route::get('members-individual', 'MembersController@index')->name("members.individual");
    Route::get('members-company', 'MembersController@index')->name("members.company");

    Route::get('members-not-verified-individual', 'MembersController@notActiveMembers')->name("members.notActiveIndividual");
    Route::get('members-not-verified-company', 'MembersController@notActiveMembers')->name("members.notActiveCompany");


    Route::get('members/show/{id}', 'MembersController@show')->name("members.show");

    //settings
    Route::get('settings', 'SettingController@index')->name('settings.index');
    Route::post('settings/createAjax', 'SettingController@createAjax')->name('createAjax');
    Route::post('settings/updateAjax', 'SettingController@updateAjax')->name('updateAjax');
    Route::post('settings/removeAjax', 'SettingController@removeAjax')->name('removeAjax');


    //city
    Route::get("city","CityAndAreaController@city")->name("cities");
    Route::post('city/store', 'CityAndAreaController@storeCity')->name('city.store');
    Route::post('city/update', 'CityAndAreaController@updateCity')->name('city.update');
    Route::delete('city/destroy/{country}', 'CityAndAreaController@destroyCity')->name('city.destroy');

    //areas
    Route::get("area","CityAndAreaController@area")->name("areas");
    Route::post('areas/store', 'CityAndAreaController@storeArea')->name('areas.store');
    Route::post('areas/update', 'CityAndAreaController@updateArea')->name('areas.update');
    Route::delete('areas/destroy/{area}', 'CityAndAreaController@destroyArea')->name('areas.destroy');

    //Amenties
    Route::get("amenties","SettingController@amenties")->name("amenties");
    Route::post('amenties/store', 'SettingController@storeAmenties')->name('amenties.store');
    Route::post('amenties/update', 'SettingController@updateAmenties')->name('amenties.update');
    Route::delete('amenties/destroy/{amenties}', 'SettingController@destroyAmenties')->name('amenties.destroy');


    //Venue Type
    Route::get("venue-type","SettingController@venueType")->name("venueType");
    Route::get("getVenueTypeByType/{id}","SettingController@getVenueTypeByType")->name("getVenueTYpeByType");
    Route::post('venue-type/store', 'SettingController@storeVenueType')->name('venueType.store');
    Route::post('venue-type/update', 'SettingController@updateVenueType')->name('venueType.update');
    Route::delete('venue-type/destroy/{type}', 'SettingController@destroyVenueType')->name('venueType.destroy');



});
// In routes/web.php
Route::feeds();


Route::get("/test","TestController@test")->name("test");

app/Models/StaticPackage.php
<?php


namespace App\Models;
use App\User;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class StaticPackage extends Model
{
    use SoftDeletes;
    protected $guarded=['id'];
    protected $table="static_package";

    public function users()
    {
        return $this->hasMany(User::class);
    }


    public static function getPackageList()
    {
        return  Package::where("is_enable",1)->get();
    }

}

app/Http/Controllers/Panel/StaticPackagesController.php
<?php


namespace App\Http\Controllers\Panel;
use App\Http\Controllers\Controller;
use App\Models\Package;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Validator;

class StaticPackagesController extends Controller
{
    public function createValidator(array $data)
    {
        return Validator::make($data, [
            'title_en' => ['required'],
            'title_ar' => ['required'],
            'price' => ['required','numeric'],
            'old_price' => ['nullable','numeric'],
            'count_day' => ['required','numeric'],
            'count_show_day' => ['required','numeric'],
            'count_advertising' => ['required','numeric'],
            'count_premium' => ['required','numeric'],
        ]);
    }

    public function index(Request $request)
    {
        $packages=Package::where("type","static")->where("is_visible",1)->get();
        return view("staticPackages.index",compact('packages'));
    }

    public function create()
    {
        return view('staticPackages.create');
    }
    public function store(Request $request)
    {
        $this->createValidator($request->all())->validate();
        Package::create(['type'=>"static",'title_en'=>$request->title_en,'title_ar'=>$request->title_ar,'description_en'=>$request->description_en,'price'=>$request->price,'old_price'=>$request->old_price,'count_day'=>$request->count_day,'count_show_day'=>$request->count_show_day,'count_advertising'=>$request->count_advertising,'count_premium'=>$request->count_premium]);

        return redirect(route('staticPackages.index'));
    }

    public function edit($id)
    {
        $package =Package::find($id);
        return view('staticPackages.edit', compact('package'));
    }

    public function update(Request $request, $userId)
    {
        $package = Package::find($userId);
        $this->createValidator($request->all())->validate();

        $package->update(['title_en'=>$request->title_en,'title_ar'=>$request->title_ar,'description_en'=>$request->description_en,'description_ar'=>$request->description_ar,'note_en'=>$request->note_en,'note_ar'=>$request->note_ar,'old_price'=>$request->old_price,'price'=>$request->price,'count_day'=>$request->count_day,'count_show_day'=>$request->count_show_day,'count_advertising'=>$request->count_advertising,'count_premium'=>$request->count_premium,'user_type'=>$request->user_type]);

        if($request->is_enable=="on"){
            $package->is_enable=1;
        }else{
            $package->is_enable=0;
        }

      if($request->is_premium=="on"){
                $package->is_premium=1;
       }else{
          $package->is_premium=0;
      }
      $package->save();

        return redirect(route('staticPackages.index'));
    }
    public function destroy($id)
    {
        Package::find($id)->delete();
        return redirect(route('staticPackages.index'));
    }
}

resources/views/staticPackages/create.blade.php
@extends('layouts.admin', ['crumbs' => [
    __('Static Packages') => route('staticPackages.index'),
    __('Create Static Packages') => route('staticPackages.create')]
, 'title' => __('New Member User Account')])
@section('content')
    <div class="card col-md-12 mx-auto">
        <form method="post" action="{{route('packages.store')}}" enctype="multipart/form-data" class="form theme-form">
            @csrf
            <div class="card-body">
                <div class="row">
                    <div class="col">

                        <div class="form-group row">
                            <label for="name" class="col-sm-3 col-form-label"><span class="text-danger">*</span> {{__('Title Er')}}</label>
                            <div class="col-sm-6">
                                <input type="text" name="title_en" class="form-control  @error('title_en') is-invalid @enderror" id="title_en" placeholder="{{__('Title En')}}" value="{{ old('title_en') }}" required>
                                @error('title_en')
                                <div class="help-block text-danger">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>


                        <div class="form-group row">
                            <label for="name" class="col-sm-3 col-form-label"><span class="text-danger">*</span> {{__('Title Ar')}}</label>
                            <div class="col-sm-6">
                                <input type="text" name="title_ar" class="form-control  @error('title_ar') is-invalid @enderror" id="title_ar" placeholder="{{__('Title Ar')}}" value="{{ old('title_ar') }}" required>
                                @error('title_ar')
                                <div class="help-block text-danger">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>


                        <div class="form-group row">
                            <label for="description" class="col-sm-3 col-form-label">{{__('Description En')}}</label>
                            <div class="col-sm-6">
                                <textarea  name="description_en" class="form-control  @error('description_en') is-invalid @enderror" rows="2" ></textarea>
                                @error('description_en')
                                <div class="help-block text-danger">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="description" class="col-sm-3 col-form-label">{{__('Description Ar')}}</label>
                            <div class="col-sm-6">
                                <textarea  name="description_ar" class="form-control  @error('description_ar') is-invalid @enderror" rows="2" ></textarea>
                                @error('description_ar')
                                <div class="help-block text-danger">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="description" class="col-sm-3 col-form-label">{{__('Note En')}}</label>
                            <div class="col-sm-6">
                                <textarea  name="note_en" class="form-control  @error('note_en') is-invalid @enderror " rows="2" ></textarea>
                                @error('note_en')
                                <div class="help-block text-danger">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="description" class="col-sm-3 col-form-label">{{__('Note Ar')}}</label>
                            <div class="col-sm-6">
                                <textarea  name="note_ar" class="form-control  @error('note_ar') is-invalid @enderror" rows="2" ></textarea>
                                @error('note_ar')
                                <div class="help-block text-danger">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>


                        <div class="form-group row">
                            <label for="user_type" class="col-sm-3 col-form-label"><span class="text-danger"></span> {{__('UserType')}}</label>
                            <div class="col-sm-6">
                                <select id="user_type" class="form-control " name="user_type">
                                    <option  selected="office" value="company">Company</option>
                                    <option  selected="user" value="individual">Individual</option>
                                </select>
                                @error('user_type')
                                <div class="help-block text-danger">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>



                        <div class="form-group row">
                            <label for="price" class="col-sm-3 col-form-label"><span class="text-danger">*</span> {{__('Price')}}</label>
                            <div class="col-sm-6">
                                <input type="text" name="price" class="form-control  @error('price') is-invalid @enderror" id="price" placeholder="{{__('Price')}}" value="{{ old('price') }}" required>
                                @error('price')
                                <div class="help-block text-danger">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="price" class="col-sm-3 col-form-label"><span class="text-danger">*</span> {{__('Old Price')}}</label>
                            <div class="col-sm-6">
                                <input type="text" name="old_price" class="form-control  @error('old_price') is-invalid @enderror" id="old_price" placeholder="{{__('Old Price')}}" value="{{ old('old_price') }}" >
                                @error('old_price')
                                <div class="help-block text-danger">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>





                        <div class="form-group row">
                            <label for="count_day" class="col-sm-3 col-form-label"><span class="text-danger">*</span> {{__('Number of Days')}}</label>
                            <div class="col-sm-6">
                                <input type="text" name="count_day" class="form-control  @error('count_day') is-invalid @enderror" id="price" placeholder="{{__('Number of Days')}}" value="{{ old('count_day') }}" required>
                                @error('count_day')
                                <div class="help-block text-danger">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>





                        <div class="form-group row">
                            <label for="count_day" class="col-sm-3 col-form-label"><span class="text-danger">*</span> {{__('Number of show days')}}</label>
                            <div class="col-sm-6">
                                <input type="text" name="count_show_day" class="form-control  @error('count_show_day') is-invalid @enderror" id="count_show_day" placeholder="{{__('Number of show days')}}" value="{{ old('count_show_day') }}" required>
                                @error('count_show_day')
                                <div class="help-block text-danger">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>



                        <div class="form-group row">
                            <label for="count_day" class="col-sm-3 col-form-label"><span class="text-danger">*</span> {{__('Count Advertising')}}</label>
                            <div class="col-sm-6">
                                <input type="text" name="count_advertising" class="form-control  @error('count_advertising') is-invalid @enderror" id="count_show_day" placeholder="{{__('Count Normal Advertising')}}" value="{{ old('count_advertising') }}" required>
                                @error('count_advertising')
                                <div class="help-block text-danger">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>


                        <div class="form-group row">
                            <label for="count_premium" class="col-sm-3 col-form-label"><span class="text-danger">*</span> {{__('Count Premium')}}</label>
                            <div class="col-sm-6">
                                <input type="text" name="count_premium" class="form-control  @error('count_premium') is-invalid @enderror" id="count_premium" placeholder="{{__('Count Premium Advertising')}}" value="{{ old('count_premium') }}" required>
                                @error('count_premium')
                                <div class="help-block text-danger">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>



                    </div>
                </div>
            </div>
            <div class="card-footer">
                <button type="submit" class="btn btn-primary">{{__('Submit')}}</button>
                <a href="/admin/staticPackages" class="btn btn-light">{{__('Cancel')}}</a>
            </div>
        </form>
    </div>
@endsection

resources/views/staticPackages/index.blade.php
@extends('layouts.admin', ['crumbs' => [
    'Static Packages' => route('staticPackages.index')],
    'title' => __('Static Packages')
])
@section('content')
    <div class=" col-md-12">
        <div class="card">
            <div class="card-body">
                <ul class="nav nav-pills" id="pills-tab" role="tablist">
                    <li class="nav-item">
                        <a class="nav-link active" id="pills-countries-tab" data-toggle="pill" href="#pills-countries" role="tab" aria-controls="pills-countries" aria-selected="true">{{__('Individual Static Packages')}}</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" id="pills-areas-tab" data-toggle="pill" href="#pills-areas" role="tab" aria-controls="pills-areas" aria-selected="false">{{__('Company Static Packages')}}</a>
                    </li>
                </ul>
                <hr>
                <div class="tab-content" id="pills-tabContent">
                    <div class="tab-pane fade show active" id="pills-countries" role="tabpanel" aria-labelledby="pills-countries-tab">
                        @component('components.packages.staticList', ['type' =>"individual","packages"=>$packages])@endcomponent
                    </div>
                    <div class="tab-pane fade" id="pills-areas" role="tabpanel" aria-labelledby="pills-areas-tab">
                        @component('components.packages.staticList', ['type' =>"company","packages"=>$packages])@endcomponent
                    </div>
                </div>
            </div>
        </div>

    </div>
@endsection

@section('scripts')

@endsection